build: Bump mutter API version

Desktop / GNOME / GNOME Shell - Florian Müllner [gnome.org] - 1 August 2017 11:40 EDT

Mutter bumped its API version to make all the new goodness parallel-installable with current stable ones, adjust to that.

###

diff --git a/configure.ac b/configure.ac
index 70a6ea4..6372c4d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -43,7 +43,7 @@ AC_SUBST(PYTHON)

# We depend on a specific version of the libmutter API. The mutter variants of
# the Cogl and Clutter libraries also use this API version.
-LIBMUTTER_API_VERSION=0
+LIBMUTTER_API_VERSION=1

LIBMUTTER=libmutter-$LIBMUTTER_API_VERSION
LIBMUTTER_COGL=mutter-cogl-$LIBMUTTER_API_VERSION
diff --git a/meson.build b/meson.build
index 5f4c747..8222809 100644
--- a/meson.build
+++ b/meson.build
@@ -6,7 +6,7 @@ project('gnome-shell', 'c',

# We depend on a specific version of the libmutter API. The mutter variants of
# the Cogl and Clutter libraries also use this API version.
-mutter_api_version = '0'
+mutter_api_version = '1'

clutter_pc = 'mutter-clutter-' + mutter_api_version
cogl_pc = 'mutter-cogl-' + mutter_api_version

942831f build: Bump mutter API version
configure.ac | 2 +-
meson.build | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)

Upstream: git.gnome.org


  • Share